Package weka.core.pmml.jaxbbindings

# Class SequenceModel

java.lang.Object
weka.core.pmml.jaxbbindings.SequenceModel

public class SequenceModel extends Object

Java class for SequenceModel element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="SequenceModel">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Constraints" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Item" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Itemset" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}SetPredicate" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Sequence" maxOccurs="unbounded"/>
               <element ref="{http://www.dmg.org/PMML-4_1}SequenceRule" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="avgNumberOfItemsPerTransaction" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="avgNumberOfTAsPerTAGroup" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
             <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             <attribute name="maxNumberOfItemsPerTransaction" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="maxNumberOfTAsPerTAGroup" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="numberOfTransactionGroups" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="numberOfTransactions" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SequenceModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithmName()`
  Gets the value of the algorithmName property.
  `Double`
  `getAvgNumberOfItemsPerTransaction()`
  Gets the value of the avgNumberOfItemsPerTransaction property.
  `Double`
  `getAvgNumberOfTAsPerTAGroup()`
  Gets the value of the avgNumberOfTAsPerTAGroup property.
  `List<Object>`
  `getContent()`
  Gets the rest of the content model.
  `MININGFUNCTION`
  `getFunctionName()`
  Gets the value of the functionName property.
  `BigInteger`
  `getMaxNumberOfItemsPerTransaction()`
  Gets the value of the maxNumberOfItemsPerTransaction property.
  `BigInteger`
  `getMaxNumberOfTAsPerTAGroup()`
  Gets the value of the maxNumberOfTAsPerTAGroup property.
  `String`
  `getModelName()`
  Gets the value of the modelName property.
  `BigInteger`
  `getNumberOfTransactionGroups()`
  Gets the value of the numberOfTransactionGroups property.
  `BigInteger`
  `getNumberOfTransactions()`
  Gets the value of the numberOfTransactions property.
  `boolean`
  `isIsScorable()`
  Gets the value of the isScorable property.
  `void`
  `setAlgorithmName(String value)`
  Sets the value of the algorithmName property.
  `void`
  `setAvgNumberOfItemsPerTransaction(Double value)`
  Sets the value of the avgNumberOfItemsPerTransaction property.
  `void`
  `setAvgNumberOfTAsPerTAGroup(Double value)`
  Sets the value of the avgNumberOfTAsPerTAGroup property.
  `void`
  `setFunctionName(MININGFUNCTION value)`
  Sets the value of the functionName property.
  `void`
  `setIsScorable(Boolean value)`
  Sets the value of the isScorable property.
  `void`
  `setMaxNumberOfItemsPerTransaction(BigInteger value)`
  Sets the value of the maxNumberOfItemsPerTransaction property.
  `void`
  `setMaxNumberOfTAsPerTAGroup(BigInteger value)`
  Sets the value of the maxNumberOfTAsPerTAGroup property.
  `void`
  `setModelName(String value)`
  Sets the value of the modelName property.
  `void`
  `setNumberOfTransactionGroups(BigInteger value)`
  Sets the value of the numberOfTransactionGroups property.
  `void`
  `setNumberOfTransactions(BigInteger value)`
  Sets the value of the numberOfTransactions property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SequenceModel

    public SequenceModel()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the rest of the content model.

    You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 343 of file:/home/david/workspace/weka/pmml-4-1.xsd line 333 of file:/home/david/workspace/weka/pmml-4-1.xsd

    To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

            getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `ModelStats` `SequenceRule` `SetPredicate` `LocalTransformations` `Constraints` `Sequence` `Itemset` `MiningSchema` `Item` `Extension`

  - ### getAlgorithmName

    public String getAlgorithmName()
    Gets the value of the algorithmName property.
    Returns:
      possible object is `String`

  - ### setAlgorithmName

    public void setAlgorithmName(String value)
    Sets the value of the algorithmName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAvgNumberOfItemsPerTransaction

    public Double getAvgNumberOfItemsPerTransaction()
    Gets the value of the avgNumberOfItemsPerTransaction property.
    Returns:
      possible object is `Double`

  - ### setAvgNumberOfItemsPerTransaction

    public void setAvgNumberOfItemsPerTransaction(Double value)
    Sets the value of the avgNumberOfItemsPerTransaction property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getAvgNumberOfTAsPerTAGroup

    public Double getAvgNumberOfTAsPerTAGroup()
    Gets the value of the avgNumberOfTAsPerTAGroup property.
    Returns:
      possible object is `Double`

  - ### setAvgNumberOfTAsPerTAGroup

    public void setAvgNumberOfTAsPerTAGroup(Double value)
    Sets the value of the avgNumberOfTAsPerTAGroup property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getFunctionName

    public MININGFUNCTION getFunctionName()
    Gets the value of the functionName property.
    Returns:
      possible object is `MININGFUNCTION`

  - ### setFunctionName

    public void setFunctionName(MININGFUNCTION value)
    Sets the value of the functionName property.
    Parameters:
      `value` - allowed object is `MININGFUNCTION`

  - ### isIsScorable

    public boolean isIsScorable()
    Gets the value of the isScorable property.
    Returns:
      possible object is `Boolean`

  - ### setIsScorable

    public void setIsScorable(Boolean value)
    Sets the value of the isScorable property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getMaxNumberOfItemsPerTransaction

    public BigInteger getMaxNumberOfItemsPerTransaction()
    Gets the value of the maxNumberOfItemsPerTransaction property.
    Returns:
      possible object is `BigInteger`

  - ### setMaxNumberOfItemsPerTransaction

    public void setMaxNumberOfItemsPerTransaction(BigInteger value)
    Sets the value of the maxNumberOfItemsPerTransaction property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getMaxNumberOfTAsPerTAGroup

    public BigInteger getMaxNumberOfTAsPerTAGroup()
    Gets the value of the maxNumberOfTAsPerTAGroup property.
    Returns:
      possible object is `BigInteger`

  - ### setMaxNumberOfTAsPerTAGroup

    public void setMaxNumberOfTAsPerTAGroup(BigInteger value)
    Sets the value of the maxNumberOfTAsPerTAGroup property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getModelName

    public String getModelName()
    Gets the value of the modelName property.
    Returns:
      possible object is `String`

  - ### setModelName

    public void setModelName(String value)
    Sets the value of the modelName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNumberOfTransactionGroups

    public BigInteger getNumberOfTransactionGroups()
    Gets the value of the numberOfTransactionGroups property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfTransactionGroups

    public void setNumberOfTransactionGroups(BigInteger value)
    Sets the value of the numberOfTransactionGroups property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getNumberOfTransactions

    public BigInteger getNumberOfTransactions()
    Gets the value of the numberOfTransactions property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfTransactions

    public void setNumberOfTransactions(BigInteger value)
    Sets the value of the numberOfTransactions property.
    Parameters:
      `value` - allowed object is `BigInteger`